Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.uat.relesystest.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ce1ab99b-0e82-4d58-bda1-0999fa6dc27a","url":null,"fillingId":"47169d24-b8c9-431e-89b0-190a254cf23d","fillingUrl":null,"stageId":"28276623-d3b0-45f7-86ae-4e6fef7ceeac","stageUrl":null,"userId":"8a4aa635-6fe1-4073-84dc-34587b90ab5c","userUrl":null,"creationDateTime":"2026-06-22T17:42:49.2017949+00:00","lastModifiedDateTime":"2026-06-23T17:42:49.2017949+00:00","value":"Stage Comment 1","medias":[{"id":"a2d29fcb-c467-40f6-98c3-08570a68b09a","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"26789f7d-9721-4fff-b76f-4db32cef6cee","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"5e898d84-b24d-4de1-8c34-19f3b2879a5f","url":null,"fillingId":"2b29a519-6b63-47f0-b599-1c398a898954","fillingUrl":null,"stageId":"69958664-b23a-4d52-8281-7a99b8baa5e5","stageUrl":null,"userId":"76ce4950-5732-4e12-a334-bc985ddedfdc","userUrl":null,"creationDateTime":"2026-06-22T17:42:49.2017949+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string